#include <LiquidCrystal_I2C.h>
#include "cactus_io_BME280_I2C.h"

LiquidCrystal_I2C lcd(0x27, 16, 2);
BME280_I2C bme(0x76);

void setup() {
  lcd.init();
  lcd.backlight();

  if (!bme.begin()) {
    while (1);
  }
}

void loop() {
  int i;

  bme.readSensor();

  i = (int)bme.getTemperature_C();
  lcd.setCursor(0, 0);
  lcd.print(i);
  lcd.print("\xdf\x43");

  i = (int)bme.getHumidity();
  lcd.setCursor(5, 0);
  lcd.print(i);
  lcd.print("%");

  i = (int)bme.getPressure_MB();
  lcd.setCursor(9, 0);
  lcd.print(i);
  lcd.print("hPa");
  
  delay(1000);
}
